View Issue Details

IDProjectCategoryView StatusLast Update
0014940ScribusGeneralpublic2017-12-20 20:58
Reporterjon.grossart Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOSWindows 10 64-bitOS Version1703
Product Version1.5.3 
Target VersionFixed in Version1.5.4.svn 
Summary0014940: Ungrouping of items on a new master page move the objects to Normal rather than keeping on the same page
DescriptionIn testing for bug 14939, I found this one as well. If you duplicate a master page with groups on it, and then ungroup the item, the items get linked to the Normal page, rather than the master page they are on. This is present on 1.5.3 and 1.5.4svn snapshot released 2017-08-06.

If the document is saved and loaded back in, then you can ungroup as expected.

One a side note, not sure if it's related or a separate bug, if you duplicate the master page you are one, it duplicates correctly, and it's highlighted in the manage master pages dialog, but the Normal page is shown, you have to reclick on the one you just created for it to show up on-screen. My guess would be on copy, some pointer/link is being reset to "Normal" rather than the newly created master page.

I've included the original file and the original file saved once you go the ungrouping.

Additionally, before you save the page, if you insert a new page with Normal, it will still show up blank, as normal should. If you do that after the save the file and reload, "Normal" pages will show up with the misplaced objects.
Steps To Reproduce1. open up the test document
2. edit the master pages
3. select Header with Groups -- Ungrouped (or select the group from the Outline mode, which is faster)
4. ungroup the object -> it ungroups correctly and stays on the page
5. duplicate the "Headers with Group Master Page" -> see the potential error about it looking selected but showing up blank on screen
6. actually select the new duplicate page (dialog or Outline mode, both fail)
7. select one of the groups and ungroup -> the objects will show up duplicated on "Normal" in the outline rather than just on their master page
Additional InformationI checked 1.4.6, and both items worked as expected (duplicating and the ungrouping)
TagsNo tags attached.
PatchNo

Activities

jon.grossart

2017-08-06 21:43

reporter  

Grouping Export.2.sla (56,724 bytes)
Grouping Export.2-ungrouped.sla (56,169 bytes)

jon.grossart

2017-08-10 19:32

reporter   ~0044309

I just tested the 20170810 win64 snapshot. It fixed both issues I was noticing. Ungrouping works correctly, and copying the master page now selects and displays the new one. Thanks.

Issue History

Date Modified Username Field Change
2017-08-06 21:43 jon.grossart New Issue
2017-08-06 21:43 jon.grossart File Added: Grouping Export.2.sla
2017-08-06 21:43 jon.grossart File Added: Grouping Export.2-ungrouped.sla
2017-08-10 00:09 jghali Assigned To => jghali
2017-08-10 00:09 jghali Status new => resolved
2017-08-10 00:09 jghali Resolution open => fixed
2017-08-10 00:09 jghali Fixed in Version => 1.5.4.svn
2017-08-10 19:32 jon.grossart Note Added: 0044309
2017-12-20 20:58 cbradney Status resolved => closed